[PC-BSD Testing] updating pkg blows away sudoers

Kris Moore kris at pcbsd.org
Tue Oct 22 11:12:53 PDT 2013


On 10/22/2013 13:20, Randy Schultz wrote:
> On Tue, 22 Oct 2013, Kris Moore wrote:
>
> -}
> -}Thanks for the heads up. I've fixed this in GIT now, it will be in one of the next package updates.
>
> Tnx.
>
> Same think happens on a subsequent update, i.e. after the reboot I did 
>
>    /usr/local/bin/pc-updatemanager pkgcheck 
>    Updating repository catalogue
>    Upgrades have been requested for the following 64 packages:
>
>            Upgrading gettext: 0.18.3 -> 0.18.3.1
>            Reinstalling postfix-2.10.1,1 (direct dependency changed)
>            Upgrading sudo: 1.8.7_1 -> 1.8.8
>            Installing xineramaproto: 1.2.1
>            Installing xcb-util: 0.3.9_1,1
>            Installing renderproto: 0.11.1
>            Installing randrproto: 1.4.0
>            Installing pixman: 0.30.2
>            Installing libXrender: 0.9.8
>            Installing libXrandr: 1.4.2
>            Installing libXinerama: 1.1.3,1
>            Installing fixesproto: 5.0
>            Installing inputproto: 2.3
>            Installing damageproto: 1.2.1
>            Installing compositeproto: 0.4.2
>            Installing libfontenc: 1.1.2
>            Installing fontconfig: 2.10.95,1
>            Installing font-util: 1.3.0
>            Installing encodings: 1.0.4,1
>            Installing dejavu: 2.34
>            Installing libXft: 2.3.1
>            Installing png: 1.5.17
>            Installing graphite2: 1.2.3
>            Installing libffi: 3.0.13
>            Installing glib: 2.36.3
>            Installing icu: 50.1.2
>            Installing gnomehier: 3.0
>            Installing cups-client: 1.5.4_1
>            Installing shared-mime-info: 1.1
>            Installing jpeg: 8_4
>            Installing jbigkit: 1.6
>            Installing jasper: 1.900.1_12
>            Installing atk: 2.8.0
>            Installing libyaml: 0.1.4_2
>            Installing mtools: 4.0.10_3
>            Installing tcl86: 8.6.1
>            Installing libexecinfo: 1.1_3
>            Installing ctags: 5.8
>            Installing cscope: 15.8a
>            Reinstalling apr-1.4.8.1.5.2 (needed shared library changed)
>            Upgrading pcbsd-utils: 1381336298 -> 1381934088
>            Installing xcb-util-renderutil: 0.3.8
>            Installing libXfixes: 5.0.1
>            Installing libXdamage: 1.1.4
>            Installing libXcursor: 1.1.14
>            Installing libXcomposite: 0.4.4,1
>            Installing mkfontscale: 1.1.1
>            Installing mkfontdir: 1.0.7
>            Installing font-misc-meltho: 1.0.3
>            Installing font-misc-ethiopic: 1.0.3
>            Installing font-bh-ttf: 1.0.3
>            Installing cairo: 1.10.2_6,2
>            Installing tiff: 4.0.3
>            Installing grub2-efi: 2.00_1
>            Installing ruby: 1.9.3.448,1
>            Installing libXi: 1.7.2,1
>            Installing xorg-fonts-truetype: 7.7_1
>            Installing harfbuzz: 0.9.19
>            Installing gdk-pixbuf2: 2.28.2
>            Installing pango: 1.34.1_1
>            Installing gtk-update-icon-cache: 2.24.19
>            Installing gtk2: 2.24.19_2
>            Installing vim: 7.3.1314
>            Upgrading trueos-base: 1378408836 -> 1382020117
>
>    The upgrade will require 226 MB more space
>
>    77 MB to be downloaded
>
>    To start the upgrade run "/usr/local/bin/pc-updatemanager pkgupdate"
>
>
> Which blew away the repaired sudoers yet again.
>
> ;>
>
> --
>  Randy    (schulra at earlham.edu)      765.983.1283         <*>
>
> Hatred does not cease by hatred, but only by love; this is the eternal rule.
>      - Siddhartha Gautama
>
> _______________________________________________
> Testing mailing list
> Testing at lists.pcbsd.org
> http://lists.pcbsd.org/mailman/listinfo/testing

Yea, this will fix both cases, it wasn't excluding that file from being
"updated" after a pkg-command properly.

-- 
Kris Moore
PC-BSD Software
iXsystems



More information about the Testing mailing list